Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.datatypes
Class BaseAtomicDatatype

    java.lang.Object
      org.mindswap.pellet.datatypes.BaseDatatype
          org.mindswap.pellet.datatypes.BaseAtomicDatatype

All Implemented Interfaces:
  AtomicDatatype, Datatype

Direct Known Subclasses:
  RDFXMLLiteral, UnknownDatatype, XSDAnyURI, XSDBoolean, XSDString

    public abstract class BaseAtomicDatatype

extends BaseDatatype
implements AtomicDatatype

Author:
  Evren Sirin

Constructor Summary
`BaseAtomicDatatype(aterm.ATermAppl name)`

Method Summary
`boolean` | `contains(java.lang.Object value)`
`AtomicDatatype` | `difference(AtomicDatatype dt)`
`AtomicDatatype` | `enumeration(java.util.Set<java.lang.Object> values)`
`aterm.ATermAppl` | `getValue(int n)`
`AtomicDatatype` | `intersection(AtomicDatatype dt)`
`boolean` | `isDerived()`
`AtomicDatatype` | `not()`
`Datatype` | `singleton(java.lang.Object value)`
`int` | `size()`
`java.lang.String` | `toString()`
`AtomicDatatype` | `union(AtomicDatatype dt)`

Methods inherited from class org.mindswap.pellet.datatypes.BaseDatatype
`contains, getName, getURI, isEmpty`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mindswap.pellet.datatypes.AtomicDatatype
`getPrimitiveType`

Methods inherited from interface org.mindswap.pellet.datatypes.Datatype
`contains, getName, getURI, getValue, isEmpty`

Constructor Detail

### BaseAtomicDatatype

    public BaseAtomicDatatype(aterm.ATermAppl name)

Method Detail

### not

    public AtomicDatatype not()

  Specified by:
    `not` in interface `AtomicDatatype`

### intersection

    public AtomicDatatype intersection(AtomicDatatype dt)

  Specified by:
    `intersection` in interface `AtomicDatatype`

### union

    public AtomicDatatype union(AtomicDatatype dt)

  Specified by:
    `union` in interface `AtomicDatatype`

### difference

    public AtomicDatatype difference(AtomicDatatype dt)

  Specified by:
    `difference` in interface `AtomicDatatype`

### size

    public int size()

  Specified by:
    `size` in interface `Datatype`

### contains

    public boolean contains(java.lang.Object value)

  Specified by:
    `contains` in interface `Datatype`

### enumeration

    public AtomicDatatype enumeration(java.util.Set<java.lang.Object> values)

  Specified by:
    `enumeration` in interface `AtomicDatatype`

### singleton

    public Datatype singleton(java.lang.Object value)

  Specified by:
    `singleton` in interface `Datatype`

### isDerived

    public boolean isDerived()

### getValue

    public aterm.ATermAppl getValue(int n)

  Specified by:
    `getValue` in interface `Datatype`
  Overrides:
    `getValue` in class `BaseDatatype`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.